<div>
<div class="row">
  <div class="form-group py-2 col-sm-12 col-md-6 col-lg-6 .col-xl-6" style="float: left" *ngFor="let field of formConfigData">

    <div *ngIf="field.required &&  field.type!='dropDown' ">
     <mat-form-field color="accent" *ngIf="!field.default" class="full-width">
        <mat-label>{{field.label}}</mat-label>
        <input matInput placeholder={{field.label}}  class=" edit-form-input" name=field.label  [(ngModel)]="field.fieldValue" onfocus="this.blur()" [disabled]="isInputDisabled" readonly="readonly" required>
      </mat-form-field>
      <mat-form-field color="accent" *ngIf="field.default" class="full-width">
        <mat-label>{{field.label}}</mat-label>
        <input matInput type="field.type" class=" edit-form-input" placeholder= {{field.description}} name=field.label  [value]="field.default" disabled>
      </mat-form-field>
    </div>
    <div *ngIf="!field.required &&  field.type!='dropDown'">
     <mat-form-field color="accent" class="full-width">
       <mat-label>{{field.label}}</mat-label>
       <input matInput type="field.type" class="edit-form-input"  placeholder= {{field.description}} name=field.label  [(ngModel)]="field.fieldValue" onfocus="this.blur()" [disabled]="isInputDisabled" readonly="readonly">
      </mat-form-field>
    </div>
    <div *ngIf="field.type=='dropDown'">

        <mat-form-field color="accent" class="full-width">
          <mat-label>{{field.label}}</mat-label>
          <mat-select class="selectDropDownOption" placeholder="{{field.label}}" [(ngModel)]="field.fieldValue" [disabled]="isInputDisabled">
            <mat-option  *ngFor="let val of field.value.dropDownValues" [value]="val">{{val}}</mat-option>
          </mat-select>
        </mat-form-field>
    </div>

  </div>
</div>
  <!--Assets related-->
  <button mat-raised-button color="primary" class='buttonEnable MR10'
          *ngIf="assetData && assetData.assetType && formConfigData.length > 0 && SUBJECT.ASSET| can:ACTIONS.UPDATE" (click)="submitEditConfig()" disabled>Update</button>
  <button mat-raised-button color="warn" class='showDeregisterAssetPopupBtn buttonEnable'
          *ngIf="assetData && assetData.assetType && formConfigData.length > 0 && SUBJECT.ASSET| can:ACTIONS.DELETE" (click)="deregisterSelectedAsset()" disabled>Deregister</button>
  <!-- Service related btns -->
  <button mat-raised-button color="primary" class='buttonEnable MR10'
          *ngIf="assetData && assetData.serviceType && formConfigData.length > 0 && SUBJECT.SERVICE| can:ACTIONS.UPDATE" (click)="submitEditConfig()" disabled>Update</button>
  <button mat-raised-button color="warn" class='showDeregisterAssetPopupBtn buttonEnable'
          *ngIf="assetData && assetData.serviceType && formConfigData.length > 0 && SUBJECT.SERVICE| can:ACTIONS.DELETE" (click)="deregisterSelectedAsset()" disabled>Deregister</button>

</div>
